Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-12889

libmariadb3 no version information available

    Details

    • Sprint:
      10.2.7-1

      Description

      Hello,
      Using the official MariaDB packages.
      Upgraded from 10.1.23-MariaDB-1~jessie.

      After the upgrade to 10.2.6+maria~jessie the following shows up when trying to start pureftpd:

      /usr/sbin/pure-ftpd-mysql: /usr/lib/x86_64-linux-gnu/libmysqlclient.so.18: no version information available (required by /usr/sbin/pure-ftpd-mysql)
      /usr/sbin/pure-ftpd-mysql: relocation error: /usr/sbin/pure-ftpd-mysql: symbol my_make_scrambled_password, version libmysqlclient_18 not defined in file libmysqlclient.so.18 with link time reference
      

      libmysqlclient is a symlink to libmariadb.so.3 (as installed by the package). libmariadb is 10.2.6+maria~jessie.

      As a result pureftpd (and I suspect others depending on that file) fail to start.

      Thank you,
      Demetris Demetriou
      deZillium LTD

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                georg Georg Richter
                Reporter:
                dezillium DEZILLIUM LIMITED
              • Votes:
                1 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: